//----------------------------------------------------------------------------
#ifndef MainH
#define MainH
//----------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Windows.hpp>
#include <Messages.hpp>
#include <Classes.hpp>
#include <Graphics.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBCtrls.hpp>
#include <DB.hpp>
#include <DBGrids.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Mask.hpp>
#include <Buttons.hpp>
//----------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
	TScrollBox *ScrollBox;
	TLabel *Label1;
	TDBEdit *EditOrderNo;
	TLabel *Label2;
	TLabel *Label3;
	TDBEdit *EditSaleDate;
	TLabel *Label5;
	TDBGrid *ItemGrid;
	TDBNavigator *DBNavigator;
	TPanel *Panel1;
	TPanel *Panel2;
	TPanel *Panel3;
	TDBLookupComboBox *DBLCustomerName;
	TDBLookupComboBox *DBLEmpName;
	TGroupBox *GroupBox1;
	TLabel *Label4;
	TLabel *Label6;
	TDBEdit *EditShipDate;
	TDBEdit *EditShipToContact;
	TLabel *Label7;
	TDBEdit *EditShipToAddr;
	TLabel *Label8;
	TDBEdit *EditShipToAddr2;
	TDBEdit *EditShipToCity;
	TLabel *Label9;
	TLabel *Label10;
	TDBEdit *EditShipToState;
	TLabel *Label11;
	TDBEdit *EditShipToZip;
	TLabel *Label12;
	TDBEdit *EditShipToCountry;
	TLabel *Label13;
	TDBEdit *EditShipToPhone;
	TLabel *Label14;
	TDBComboBox *DBCShipVia;
	TGroupBox *GroupBox2;
	TLabel *Label15;
	TLabel *Label16;
	TLabel *Label18;
	TDBEdit *EditItemsTotal;
	TDBEdit *EditPO;
	TLabel *Label19;
	TDBEdit *EditTaxRate;
	TLabel *Label20;
	TDBEdit *EditFreight;
	TLabel *Label21;
	TDBEdit *EditAmountPaid;
	TDBRadioGroup *DBRTerms;
	TDBComboBox *DBCPayment;
	TLabel *Label17;
	TSpeedButton *QueryOrderBtn;
	TSpeedButton *QueryItemBtn;
	TSpeedButton *QueryDataSet;
    void __fastcall QueryItemBtnClick(TObject *Sender);
	void __fastcall QueryOrderBtnClick(TObject *Sender);
	void __fastcall QueryDataSetClick(TObject *Sender);
private:
	// private declarations
public:
	// public declarations
	__fastcall TMainForm(TComponent *Owner);
};
//----------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//----------------------------------------------------------------------------
#endif
