//---------------------------------------------------------------------------
#ifndef QCalendarH
#define QCalendarH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ccalendr.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
#include "cspin.h"
#include "CCALENDR.h"
#include "CSPIN.h"
//---------------------------------------------------------------------------
enum TCalType {clDATE, clDATETIME};
class TCalForm : public TForm
{
__published:	// IDE-managed Components
	TPanel *NavPanel;
	TPanel *DatePanel;
	TPanel *CalPanel;
	TCCalendar *CCalendar;
	TSpeedButton *SBYearNext;
	TSpeedButton *SBMonthNext;
	TSpeedButton *SBYearPrior;
	TSpeedButton *SBMonthPrior;
	TPanel *TimePanel;
	TEdit *EDTime;
	TCSpinButton *CSTime;
	TTimer *ButtonTimer;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall SBYearNextClick(TObject *Sender);
	void __fastcall SBMonthPriorClick(TObject *Sender);
	void __fastcall SBMonthNextClick(TObject *Sender);
	void __fastcall SBYearPriorClick(TObject *Sender);
	void __fastcall CCalendarDblClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall CCalendarKeyPress(TObject *Sender, char &Key);
	void __fastcall CCalendarChange(TObject *Sender);
	void __fastcall EDTimeKeyPress(TObject *Sender, char &Key);
	void __fastcall EDTimeEnter(TObject *Sender);
	void __fastcall CSTimeDownClick(TObject *Sender);
	
	void __fastcall CSTimeUpClick(TObject *Sender);
	void __fastcall EDTimeKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall ButtonTimerTimer(TObject *Sender);
	void __fastcall ButtonMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall ButtonMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	
private:	// User declarations
	void __fastcall HighlightText(int NewSelStart, int NewSelLength);
    bool __fastcall IsValidChar(Char Key);

public:		// User declarations
	__fastcall TCalForm(TComponent* Owner);
    TDateTime SelectedDate;
    AnsiString TitleDateFormatStr;
    TCalType CalType;
    TSpeedButton *RepeatButton;
};
//---------------------------------------------------------------------------
extern PACKAGE TCalForm *CalForm;
//---------------------------------------------------------------------------
#endif
