//----------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "DataMod.h"
//----------------------------------------------------------------------------
#pragma link "QueryDialog"
#pragma resource "*.dfm"
TOrderDataModule *OrderDataModule;
//----------------------------------------------------------------------------
__fastcall TOrderDataModule::TOrderDataModule(TComponent *Owner)
	: TDataModule(Owner)
{
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::DataModuleCreate(TObject *Sender)
{
	OrderQuery->Open();
	Items->Open();
    Customers->Open();
    Employee->Open();
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::QueryOrders(TForm *FormToQuery)
{
	QueryDialog->DialogTitle = "Query Orders Table From Form";
	if (QueryDialog->Execute(FormToQuery) == mrOk)
    {
        OrderQuery->Close();

        if (OrderQuery->SQL->Count > 1)
        	OrderQuery->SQL->Delete(1);

        if (QueryDialog->QueryString != "")
        	OrderQuery->SQL->Add("where " + QueryDialog->QueryString);

    	OrderQuery->Open();
    }
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::QueryItems(TDBGrid *GridToQuery)
{
	QueryDialog->DialogTitle = "Query Items Table From DBGrid";
	if (QueryDialog->Execute(GridToQuery) == mrOk)
    {
        OrderQuery->Close();

        if (OrderQuery->SQL->Count > 1)
        	OrderQuery->SQL->Delete(1);

        if (QueryDialog->QueryString != "")
        	OrderQuery->SQL->Add("where orderno in (select orderno from items where " + QueryDialog->QueryString + ")");

    	OrderQuery->Open();
    }
}
//----------------------------------------------------------------------------
void __fastcall TOrderDataModule::QueryOrdersDataSet()
{
	QueryDialog->DialogTitle = "Query Orders Table From TQuery";
	if (QueryDialog->Execute((TDataSet *) OrderQuery) == mrOk)
    {
        OrderQuery->Close();

        if (OrderQuery->SQL->Count > 1)
        	OrderQuery->SQL->Delete(1);

        if (QueryDialog->QueryString != "")
        	OrderQuery->SQL->Add("where " + QueryDialog->QueryString);

    	OrderQuery->Open();
    }
}
//----------------------------------------------------------------------------

